Skip to main content
POST
/
images
/
generations
Image Generation
curl --request POST \
  --url https://api.euron.one/api/v1/euri/images/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "<string>",
  "prompt": "<string>",
  "n": 123,
  "size": "<string>",
  "quality": "<string>",
  "response_format": "<string>"
}
'
import requests

url = "https://api.euron.one/api/v1/euri/images/generations"

payload = {
"model": "<string>",
"prompt": "<string>",
"n": 123,
"size": "<string>",
"quality": "<string>",
"response_format": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
prompt: '<string>',
n: 123,
size: '<string>',
quality: '<string>',
response_format: '<string>'
})
};

fetch('https://api.euron.one/api/v1/euri/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Request

POST https://api.euron.one/api/v1/euri/images/generations

Body parameters

model
string
required
Image model ID. Currently available: gemini-3-pro-image-preview.
prompt
string
required
Text description of the image to generate.
n
integer
Number of images to generate. Default: 1.
size
string
Image dimensions. Options: "1024x1024", "512x512", etc.
quality
string
Image quality. Options: "standard", "hd".
response_format
string
Format of the response. Options: "url", "b64_json".

Examples

curl -X POST https://api.euron.one/api/v1/euri/images/generations \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_EURI_API_KEY" \
  -d '{
    "model": "gemini-3-pro-image-preview",
    "prompt": "A futuristic city skyline at sunset, digital art style",
    "n": 1,
    "size": "1024x1024"
  }'
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_EURI_API_KEY",
    base_url="https://api.euron.one/api/v1/euri"
)

response = client.images.generate(
    model="gemini-3-pro-image-preview",
    prompt="A futuristic city skyline at sunset, digital art style",
    n=1,
    size="1024x1024"
)

print(response.data[0].url)
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_EURI_API_KEY',
  baseURL: 'https://api.euron.one/api/v1/euri',
});

const response = await client.images.generate({
  model: 'gemini-3-pro-image-preview',
  prompt: 'A futuristic city skyline at sunset, digital art style',
  n: 1,
  size: '1024x1024',
});

console.log(response.data[0].url);

Response

{
  "created": 1744998577,
  "data": [
    {
      "url": "https://...",
      "revised_prompt": "A futuristic city skyline..."
    }
  ]
}

Pricing

gemini-3-pro-image-preview: $0.04 per image (+ 15% markup).